.visually-hidden {
    position: absolute;
    width: 1px;
    height: 1px;
    margin: -1px;
    padding: 0;
    border: 0;
    clip: rect(0, 0, 0, 0);
    overflow: hidden;
}

.cover {
    position: relative;
    width: 100%;
    height: 100vh; /* Full viewport height */
    background-color: white; /* White background for the section */
    text-align: center;
    display: flex;
    flex-direction: column;
    justify-content: center; /* Vertically center the content */
    align-items: center; /* Horizontally center the content */
    overflow: hidden; /* Prevent content overflow */
}

.cover .content {
    color: black; /* Adjust text color if needed */
}

.cover .emotional-text {
    margin-top: 20px; /* Add margin to space from the content */
    color: black; /* Adjust text color if needed */
}

.cover img {
    display: block;
    max-width: 100%; /* Ensure image does not overflow */
    height: auto; /* Maintain aspect ratio */
}

.cover h1 {
    margin: 0;
    font-size: 3em;
}

.cover p {
    font-size: 1.5em;
    margin: 20px 0;
}

.cover .button {
    display: inline-block;
    padding: 10px 20px;
    font-size: 1em;
    color: #fff;
    background-color: #007BFF;
    text-decoration: none;
    border-radius: 5px;
    margin-top: 20px; /* Add margin for spacing */
}

.menu {
    background-color: #333;
    color: #fff;
    padding: 10px 0;
    text-align: center;
}

.menu a {
    color: #fff;
    text-decoration: none;
    padding: 0 15px;
}

.features {
    padding: 20px;
    background-color: #f4f4f4;
}

.features h2 {
    text-align: center;
    margin-bottom: 20px;
}

.feature {
    margin-bottom: 20px;
}

.feature-item {
    display: flex;
    align-items: center;
    justify-content: center; 
    margin-bottom: 20px;
}

.feature-item.reversed {
    flex-direction: row-reverse;
}

.feature-image {
    flex: 1;
    text-align: center;
    max-width: 300px; 
    margin: 0 auto;
}

.feature-image img {
    width: 100%; /* 
    height: auto; 
    padding: 0 10px;
    border-radius: 8px; /* 
}

.feature-text {
    flex: 2;
    padding: 0 20px;
    text-align: center;
}

.feature-text h3 {
    margin-top: 0;
}

@media (max-width: 768px) {
    .feature-item {
        flex-direction: column;
        text-align: center;
    }

    .feature-item.reversed {
        flex-direction: column;
    }

    .feature-text {
        padding: 10px 0;
    }
}
